
import random

class EmbeddingLayer:
    def __init__(self, inputDim, embeddingDim):
        self.inputDim = inputDim
        self.embeddingDim = embeddingDim
        self.embeddings = []

        for i in range(inputDim):
            embedding = [random.uniform(-1.0, 1.0) for _ in range(embeddingDim)]
            self.embeddings.append(embedding)

    def getEmbedding(self, category):
        return self.embeddings[category]

class Model:
    def __init__(self, inputDim, embeddingDim):
        self.embeddingLayer = EmbeddingLayer(inputDim, embeddingDim)

    def predict(self, category):
        return self.embeddingLayer.getEmbedding(category)

if __name__ == "__main__":
    inputDim = 10  # Number of input categories
    embeddingDim = 5  # Dimensionality of the embeddings

    model = Model(inputDim, embeddingDim)

    category = 3  # Category for which we want the embedding
    embedding = model.predict(category)

    print("Embedding for category {}: ".format(category), end="")
    for val in embedding:
        print(val, end=" ")
    print()
